
QGIS Application - Bug report #7828

error message on startup

2013-05-14 01:49 PM - Etienne Tourigny

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16712

Description

with latest master I get a popup message with the following error, startup continues normally after dismissing popup

Update of view in private qgis.db failed.

no such view: vw_srs

setting to GUI category, as lack of proper alternative

Associated revisions

Revision 640f345e - 2013-06-04 06:30 PM - Jürgen Fischer

fix #7828

History

#1 - 2013-05-25 04:26 AM - Nathan Woodrow

Is this still and issue. Can we remove the blocker tag.

#2 - 2013-05-27 11:48 AM - Etienne Tourigny

I have updated to latest master and removed my .qgis2 folder, and the issue still persists. This should be a blocker, because an error msg like this should

not appear on startup and should be fixed (whatever the problem is).

#3 - 2013-05-27 11:57 AM - Etienne Tourigny

- Status changed from Open to Closed

actually, seems the problem dissapeared after running a second time, so I will close the bug.

#4 - 2013-05-28 01:13 PM - Etienne Tourigny

- Status changed from Closed to Reopened

seems it has come back... am I the only one getting this?
#5 - 2013-06-04 09:14 AM - Etienne Tourigny

the following patch resolves the issue. Somehow my qgis.db was left without the vw_srs view.

diff --git a/src/app/qgisapp.cpp b/src/app/qgisapp.cpp

index 6ebb242..4b4795c 100644

--- a/src/app/qgisapp.cpp

+++ b/src/app/qgisapp.cpp

@@ -2160,7 +2160,7 @@ bool QgisApp::createDB()

     }

     if ( sqlite3_exec( db,

-                       "DROP VIEW vw_srs;" 

+                       "DROP VIEW IF EXISTS vw_srs;" 

                        "CREATE VIEW vw_srs AS" 

                        " SELECT" 

                        " a.description AS description" 

#6 - 2013-06-04 09:31 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"640f345e92985be425b05f87c19f5b4318830127".
